Bug 158914

Summary: [GTK] Layout test media/restore-from-page-cache.html is failing
Product: WebKit Reporter: Michael Catanzaro <mcatanzaro>
Component: MediaAssignee: Nobody <webkit-unassigned>
Status: RESOLVED FIXED    
Severity: Normal CC: bugs-noreply, calvaris, dpino, kling, mcatanzaro
Priority: P2    
Version: Other   
Hardware: PC   
OS: Linux   
See Also: https://bugs.webkit.org/show_bug.cgi?id=147020
https://bugs.webkit.org/show_bug.cgi?id=159430
Bug Depends on: 83704    
Bug Blocks:    

Description Michael Catanzaro 2016-06-19 17:08:02 PDT
Layout test media/restore-from-page-cache.html has been flaky since last July. First recorded failure is r187031 "Improve behavior of media elements in page cache" which looks like a smoking gun to me. Updating expectations.

--- /home/slave/webkitgtk/gtk-linux-64-release-tests/build/layout-test-results/media/restore-from-page-cache-expected.txt
+++ /home/slave/webkitgtk/gtk-linux-64-release-tests/build/layout-test-results/media/restore-from-page-cache-actual.txt
@@ -2,6 +2,7 @@
 Make sure we don't reload a <video> element when navigating back to an uncached page.
 
 EVENT(loadstart)
+*** volumechange event fired. This should happen AFTER returning from cache.
 EVENT(canplaythrough)
 EXPECTED (loadCount == '0') OK
 *** Page going into cache
Comment 1 Diego Pino 2021-06-09 00:19:54 PDT
The only test filed under this bug was:

  - media/restore-from-page-cache.html

GTK post-commit test bot reports the test has been failing consistently for the last 4000 revisions.

Diff:

--- /home/buildbot/worker/gtk-linux-64-release-tests/build/layout-test-results/media/restore-from-page-cache-expected.txt
+++ /home/buildbot/worker/gtk-linux-64-release-tests/build/layout-test-results/media/restore-from-page-cache-actual.txt
@@ -13,4 +13,5 @@
 EXPECTED (videoComputedStyle.height == '240px') OK
 *** ratechange event fired. This should happen AFTER returning from cache.
 *** volumechange event fired. This should happen AFTER returning from cache.
+*** volumechange event fired. This should happen AFTER returning from cache.
Comment 2 Xabier Rodríguez Calvar 2021-07-02 03:47:08 PDT
Fixed in r279499